%global pypi_name backports.ssl_match_hostname
%global rpm_name backports-ssl-match-hostname

Name:           python2-%{rpm_name}
Version:        3.5.0.1
Release:        2%{?dist}
Summary:        The ssl match_hostname() function from Python 3.5
License:        PSF
URL:            http://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Group:          Development/Libraries

BuildRequires:  python2-devel

%description
This function was introduced in python-3.2, it was updated for python-3.4a1 
for a CVE it was updated from RFC2818 to RFC 6125 compliance in order to fix 
another security flaw for python-3.3.3 and python-3.4a5 it was updated in 
python-3.5 to handle IPAddresses in ServerAltName fields. 

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build

%install
%py2_install

%files
%{python2_sitelib}/*


%changelog
* Wed Jun 22 2016 William Moreno <williamjmorenor@gmail.com> - 3.5.0.1-2
- Drop python2 subpackage, remane spec to \
   python2-backports-ssl-match-hostname

* Fri Jun 03 2016 William Moreno <williamjmorenor@gmail.com> - 3.5.0.1-1
- Initial Packaging
